#!/usr/bin/python
#---------------------------------------------------------------
# Project         : Linux-Mandrake
# Module          : rpm-rebuilder
# File            : head-grep.py
# Version         : $Id: head-grep.py,v 1.1 2001/07/06 06:39:59 flepied Exp $
# Author          : Frederic Lepied
# Created On      : Sat Mar 24 09:18:37 2001
# Purpose         : output lines red on stdin while it doesn't
#                   match the regex given as first argument.
#---------------------------------------------------------------

import sys
import re

regexp=re.compile(sys.argv[1])

line = sys.stdin.readline()
while line:
    sys.stdout.write(line)
    if regexp.search(line):
        sys.exit(0)
    line = sys.stdin.readline()

# head-grep.py ends here
