#!/usr/bin/env python
#---------------------------------------------------------------
# Project         : Mandriva Linux
# Module          : rpm-rebuilder
# File            : increment-release.py
# Version         : $Id: increment-release.py,v 1.2 2005/09/10 20:56:35 flepied Exp $
# Author          : Frederic Lepied
# Created On      : Mon Jul 31 14:30:20 2000
#---------------------------------------------------------------

import specfile
import sys

if len(sys.argv) != 4:
    sys.stderr.write("usage: %s <spec file> <email> <changelog>\n" % sys.argv[0])
    sys.exit(1)
else:
    s=specfile.specfile(sys.argv[1])
    s.incrementRelease(sys.argv[2], sys.argv[3])
    try:
        s.dump()
    except IOError:
        pass

# increment-release.py ends here
